NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Preferences::SectionViewPreferences Class Reference

Represents set of Section View Preferences applicable to drafting views. More...

Inheritance diagram for NXOpen::Preferences::SectionViewPreferences:
NXOpen::Preferences::ISectionViewPreferences

Public Member Functions

bool AssemblyCrossHatching ()
 Returns the status of assembly cross hatching. More...
 
bool Background ()
 Returns the status of background. More...
 
bool Bendlines ()
 Returns the status of bendlines
Created in NX5.0.0. More...
 
bool CrossHatch ()
 Returns the status of cross hatch. More...
 
double CrosshatchAdjacencyTolarance ()
 Returns the value of crosshatch adjacency tolarance. More...
 
bool Foreground ()
 Returns the status of foreground
Created in NX5.0.0. More...
 
bool HiddenLineHatching ()
 Returns the status of hidden line hatching. More...
 
bool RestrictCrosshatchAngle ()
 Returns the status of restrict crosshatch angle. More...
 
bool SectionSheetBodies ()
 Returns the status of section sheet bodies. More...
 
void SetAssemblyCrossHatching (bool assemblyCrossHatching)
 Sets the status of assembly cross hatching. More...
 
void SetBackground (bool background)
 Sets the status of background. More...
 
void SetBendlines (bool bendlines)
 Sets the status of bendlines
Created in NX5.0.0. More...
 
void SetCrossHatch (bool crossHatch)
 Sets the status of cross hatch. More...
 
void SetCrosshatchAdjacencyTolarance (double crosshatchAdjacencyTolarance)
 Sets the value of crosshatch adjacency tolarance. More...
 
void SetForeground (bool foreground)
 Sets the status of foreground
Created in NX5.0.0. More...
 
void SetHiddenLineHatching (bool hiddenLineHatching)
 Sets the status of hidden line hatching. More...
 
void SetRestrictCrosshatchAngle (bool restrictCrosshatchAngle)
 Sets the status of restrict crosshatch angle. More...
 
void SetSectionSheetBodies (bool sectionSheetBodies)
 Sets the status of section sheet bodies. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents set of Section View Preferences applicable to drafting views.


To obtain an instance of this class use Preferences::ViewPreferences::Section

Created in NX5.0.0.

Member Function Documentation

bool NXOpen::Preferences::SectionViewPreferences::AssemblyCrossHatching ( )

Returns the status of assembly cross hatching.

Controls the crosshatching angle of adjacent solids in an assembly section view.
Works when Preferences::SectionViewPreferences::CrossHatch and Preferences::SectionViewPreferences::SetCrossHatch is True.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Preferences::SectionViewPreferences::Background ( )

Returns the status of background.

Suppress or display the background curves for a section view. If True, not only the curves and crosshatching generated by cutting the solid are displayed, but the curves behind the cutting plane are displayed as well. If False, only the curves and crosshatching generated by cutting the solid are displayed in the view.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Preferences::SectionViewPreferences::Bendlines ( )

Returns the status of bendlines
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::SectionViewPreferences::CrossHatch ( )

Returns the status of cross hatch.

Allows to control whether or not crosshatching is generated in a given section view. If True, crosshatching is displayed for a section view on the drawing, else crosshatching is not generated for a section view on the drawing, and a performance increase is gained.


Created in NX5.0.0.

License requirements : None

double NXOpen::Preferences::SectionViewPreferences::CrosshatchAdjacencyTolarance ( )

Returns the value of crosshatch adjacency tolarance.

Controls the crosshatching angle of adjacent solids in an assembly section view.
Works when Preferences::SectionViewPreferences::AssemblyCrossHatching and Preferences::SectionViewPreferences::SetAssemblyCrossHatching is True.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Preferences::SectionViewPreferences::Foreground ( )

Returns the status of foreground
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::SectionViewPreferences::HiddenLineHatching ( )

Returns the status of hidden line hatching.

Controls whether hatching for a Break-Out or Pictorial Section view participates in hidden line processing. When it is True for a break-out section view, the only hatch style available is iron (equally spaced solid lines).
Works when Preferences::SectionViewPreferences::CrossHatch and Preferences::SectionViewPreferences::SetCrossHatch is True.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Preferences::SectionViewPreferences::RestrictCrosshatchAngle ( )

Returns the status of restrict crosshatch angle.

Restricts the crosshatch angle of adjacent solids in an assembly section view.
Works when Preferences::SectionViewPreferences::AssemblyCrossHatching and Preferences::SectionViewPreferences::SetAssemblyCrossHatching is True.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Preferences::SectionViewPreferences::SectionSheetBodies ( )

Returns the status of section sheet bodies.

Allows sectioning of sheet bodies in a Section view.
Created in NX5.0.0.

License requirements : None

void NXOpen::Preferences::SectionViewPreferences::SetAssemblyCrossHatching ( bool  assemblyCrossHatching)

Sets the status of assembly cross hatching.

Controls the crosshatching angle of adjacent solids in an assembly section view.
Works when Preferences::SectionViewPreferences::CrossHatch and Preferences::SectionViewPreferences::SetCrossHatch is True.


Created in NX5.0.0.

License requirements : drafting ("DRAFTING")

Parameters
assemblyCrossHatchingassembly cross hatching
void NXOpen::Preferences::SectionViewPreferences::SetBackground ( bool  background)

Sets the status of background.

Suppress or display the background curves for a section view. If True, not only the curves and crosshatching generated by cutting the solid are displayed, but the curves behind the cutting plane are displayed as well. If False, only the curves and crosshatching generated by cutting the solid are displayed in the view.


Created in NX5.0.0.

License requirements : drafting ("DRAFTING")

Parameters
backgroundbackground
void NXOpen::Preferences::SectionViewPreferences::SetBendlines ( bool  bendlines)

Sets the status of bendlines
Created in NX5.0.0.



License requirements : drafting ("DRAFTING")

Parameters
bendlinesbendlines
void NXOpen::Preferences::SectionViewPreferences::SetCrossHatch ( bool  crossHatch)

Sets the status of cross hatch.

Allows to control whether or not crosshatching is generated in a given section view. If True, crosshatching is displayed for a section view on the drawing, else crosshatching is not generated for a section view on the drawing, and a performance increase is gained.


Created in NX5.0.0.

License requirements : drafting ("DRAFTING")

Parameters
crossHatchcross hatch
void NXOpen::Preferences::SectionViewPreferences::SetCrosshatchAdjacencyTolarance ( double  crosshatchAdjacencyTolarance)

Sets the value of crosshatch adjacency tolarance.

Controls the crosshatching angle of adjacent solids in an assembly section view.
Works when Preferences::SectionViewPreferences::AssemblyCrossHatching and Preferences::SectionViewPreferences::SetAssemblyCrossHatching is True.


Created in NX5.0.0.

License requirements : drafting ("DRAFTING")

Parameters
crosshatchAdjacencyTolarancecrosshatch adjacency tolarance
void NXOpen::Preferences::SectionViewPreferences::SetForeground ( bool  foreground)

Sets the status of foreground
Created in NX5.0.0.



License requirements : drafting ("DRAFTING")

Parameters
foregroundforeground
void NXOpen::Preferences::SectionViewPreferences::SetHiddenLineHatching ( bool  hiddenLineHatching)

Sets the status of hidden line hatching.

Controls whether hatching for a Break-Out or Pictorial Section view participates in hidden line processing. When it is True for a break-out section view, the only hatch style available is iron (equally spaced solid lines).
Works when Preferences::SectionViewPreferences::CrossHatch and Preferences::SectionViewPreferences::SetCrossHatch is True.


Created in NX5.0.0.

License requirements : drafting ("DRAFTING")

Parameters
hiddenLineHatchinghidden line hatching
void NXOpen::Preferences::SectionViewPreferences::SetRestrictCrosshatchAngle ( bool  restrictCrosshatchAngle)

Sets the status of restrict crosshatch angle.

Restricts the crosshatch angle of adjacent solids in an assembly section view.
Works when Preferences::SectionViewPreferences::AssemblyCrossHatching and Preferences::SectionViewPreferences::SetAssemblyCrossHatching is True.


Created in NX6.0.0.

License requirements : drafting ("DRAFTING")

Parameters
restrictCrosshatchAnglerestrict crosshatch angle
void NXOpen::Preferences::SectionViewPreferences::SetSectionSheetBodies ( bool  sectionSheetBodies)

Sets the status of section sheet bodies.

Allows sectioning of sheet bodies in a Section view.
Created in NX5.0.0.

License requirements : drafting ("DRAFTING")

Parameters
sectionSheetBodiessection sheet bodies
tag_t NXOpen::Preferences::SectionViewPreferences::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.